aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-09-27 06:01:56 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-09-27 06:01:56 +0000
commit67cac6253a3dc1e009e298f963747047019a4253 (patch)
tree0c5c342a0c4c9ef50c5d4a11d70ea2bf2db9acb0 /test
parentc0a9b5c5e4297bef7c045891ef295cfd4e28de48 (diff)
downloadpaludis-67cac6253a3dc1e009e298f963747047019a4253.tar.gz
paludis-67cac6253a3dc1e009e298f963747047019a4253.tar.xz
Split out environment implementations into their own subdirs and libraries. Make a NoConfigEnvironment out of what used to be AdjutrixEnvironment.
Diffstat (limited to 'test')
-rwxr-xr-xtest/run_test.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/test/run_test.sh b/test/run_test.sh
index bee8b37..c707978 100755
--- a/test/run_test.sh
+++ b/test/run_test.sh
@@ -4,6 +4,14 @@
testname=${2:-${1}}
testname=${testname%.rb}
+if test -f "$TEST_SCRIPT_DIR""${testname}"_"cleanup.sh" ; then
+ echo ">>> cleanup for test ${testname}"
+ if ! "$TEST_SCRIPT_DIR""${testname}"_"cleanup.sh" ; then
+ echo ">>> exiting with error for test ${testname}"
+ exit 255
+ fi
+fi
+
if test -f "$TEST_SCRIPT_DIR""${testname}"_"setup.sh" ; then
echo ">>> setup for test ${testname}"
if ! "$TEST_SCRIPT_DIR""${testname}"_"setup.sh" ; then